@import "../../../styles/colors";

.popup {
  width: 350px;
  height: 477px;
  position: relative;

  &__header {
    background-color: $color-deep-cerulean;
    background: linear-gradient(to bottom, #009ab0, $color-deep-cerulean);
    padding: 8px 0;
  }

  &__password-list-header {
    height: 35px;
    padding: 10px;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: -1%;
    background-color: $color-aqua-spring;
    border-bottom: 1px solid $color-botticelli;

    &--matched {
      border-top: 1px solid $color-botticelli;
    }
  }

  &__logo {
    width: 65px;
    height: 26px;
    margin: 0 auto;
    fill: $color-white;
  }

  &__full-app-link {
    position: absolute;
    top: 3px;
    left: 3px;
    display: inline-block;
    padding: 6px;

    &:hover {
      .popup__full-app-icon {
        transform: scale(1.1);
      }
    }
  }

  &__full-app-icon {
    width: 24px;
    height: 24px;
    fill: $color-white;
    transform: scale(1);
    transition: transform 0.2s, color 0.2s;
  }

  &--notification {
    &:after {
      content: "";
      position: absolute;
      top: 6px;
      right: 4px;
      width: 9px;
      height: 9px;
      background-color: $color-supernova;
      border-radius: 9px;
      box-shadow: 0 2px 1px 0 rgba($color-thunder, 0.5);
    }
  }

  &__search {
    display: block;
    margin: 20px 15px 20px;
  }
}

$group-invite-note-height: 75px;
$viewport-height: 359px;

.viewport {
  height: $viewport-height;

  &--has-group-invite-note {
    height: $viewport-height - $group-invite-note-height;
  }
}

.group-invite-note {
  height: $group-invite-note-height;
  padding: 8px 15px;
  background-color: $color-onahau;
  font-size: 14px;
  line-height: 1.4;
}
